Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 973846 - oo-auto-idler has no man page and needs docs
Summary: oo-auto-idler has no man page and needs docs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers
Version: 1.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Luke Meyer
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks: 977928
TreeView+ depends on / blocked
 
Reported: 2013-06-12 23:11 UTC by Luke Meyer
Modified: 2017-03-08 17:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A man page for the oo-auto-idler command has been added.
Clone Of:
: 977928 (view as bug list)
Environment:
Last Closed: 2013-08-05 17:16:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1138 0 normal SHIPPED_LIVE OpenShift Enterprise 1.2.1 bug fix and enhancement update 2013-08-05 21:14:54 UTC

Description Luke Meyer 2013-06-12 23:11:23 UTC
oo-auto-idler is a more efficient alternative to the existing idler scripts. But, it needs some explanation. Also needs a man page.

Comment 3 Jason DeTiberus 2013-06-25 15:22:22 UTC
Full list of node-util scripts that need manpages:
  /usr/sbin/oo-admin-cartridge
  /usr/sbin/oo-auto-idler
  /usr/sbin/oo-cart-version
  /usr/sbin/oo-cartridge
  /usr/sbin/oo-su

Comment 4 Luke Meyer 2013-07-24 01:21:22 UTC
https://github.com/openshift/enterprise-server/pull/114

Seemed like a good idea to add the whitelist capability and document it.

Pulling in these origin-server/master commits:

commit 7eec9826f6e5f747957c5289495f74824e4ee029
Author: Mrunal Patel <mrunalp@gmail.com>
Date:   Fri Jun 7 15:13:31 2013 -0700

    Idler whitelist.

commit 767fde84c85c7c4ada2ecacb7c03b97c45161a25
Author: Dan McPherson <dmcphers@redhat.com>
Date:   Mon Jun 17 21:21:43 2013 -0400

    Fix typo

commit b7c5c8a90921a6c4afe3991dd21f248a909bd42a
Author: Luke Meyer <lmeyer@redhat.com>
Date:   Mon Jul 22 16:32:56 2013 -0400

    <oo-auto-idler> add man page

Comment 6 Gaoyun Pei 2013-07-25 07:09:41 UTC
Verify this bug on puddle 1.2/2013-07-24.2, the manpage has been added, and the whitelist related content also exist in the new oo-auto-idler.

Comment 9 errata-xmlrpc 2013-08-05 17:16:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1138.html


Note You need to log in before you can comment on or make changes to this bug.